Update Appointment
curl --request PUT \
--url https://crm.universal.rollout.com/api/appointments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"personId": "<string>",
"userId": "<string>",
"invitees": [
{
"userId": "<string>",
"personId": "<string>"
}
],
"appointmentTypeId": "<string>",
"appointmentOutcomeId": "<string>",
"outcomeReason": "<string>",
"title": "<string>",
"description": "<string>",
"location": "<string>",
"isAllDay": true,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://crm.universal.rollout.com/api/appointments/{id}"
payload = {
"personId": "<string>",
"userId": "<string>",
"invitees": [
{
"userId": "<string>",
"personId": "<string>"
}
],
"appointmentTypeId": "<string>",
"appointmentOutcomeId": "<string>",
"outcomeReason": "<string>",
"title": "<string>",
"description": "<string>",
"location": "<string>",
"isAllDay": True,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
personId: '<string>',
userId: '<string>',
invitees: [{userId: '<string>', personId: '<string>'}],
appointmentTypeId: '<string>',
appointmentOutcomeId: '<string>',
outcomeReason: '<string>',
title: '<string>',
description: '<string>',
location: '<string>',
isAllDay: true,
startsAt: '2023-11-07T05:31:56Z',
endsAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://crm.universal.rollout.com/api/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"personId": "<string>",
"userId": "<string>",
"createdById": "<string>",
"updatedById": "<string>",
"appointmentOutcomeId": "<string>",
"appointmentTypeId": "<string>",
"invitees": [
{
"userId": "<string>",
"personId": "<string>"
}
],
"title": "<string>",
"description": "<string>",
"location": "<string>",
"isAllDay": true,
"type": "<string>",
"outcome": "<string>",
"outcomeReason": "<string>",
"startsAt": "<string>",
"endsAt": "<string>",
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Appointments
Update Appointment
PUT /appointments/
PUT
/
appointments
/
{id}
Update Appointment
PUT /appointments/{id}
Base URL: https://crm.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/crm.json PUT /appointments/{id}Authorizations
Authorization JWT
The Rollout Credential ID to use for queries/mutations
Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Show child attributes
Show child attributes
startsAt
Option 1 · string<date-time>Option 2 · string<date>Option 3 · string<date-time>Option 4 · number
endsAt
Option 1 · string<date-time>Option 2 · string<date>Option 3 · string<date-time>Option 4 · number
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I